%bcond_without mead

%define origtag Final
%define reltag %{origtag}_redhat_1
%define namedversion %{version}.%{origtag}-redhat-1
%define meadversion %{version}.%{reltag}

%define maven_version 1.0.3.Final-redhat-1

Name:           jboss-classfilewriter
Version:        1.0.3
Release:        2.%{reltag}%{?dist}
Summary:        A bytecode writer that creates .class files at runtime
License:        LGPLv2+
URL:            https://github.com/jbossas/jboss-classfilewriter
Group:          Development/Libraries

%if %with mead
Source100: org.jboss.classfilewriter-jboss-classfilewriter-1.0.3.Final-redhat-1-sources.zip
Source101: org.jboss.classfilewriter-jboss-classfilewriter-1.0.3.Final-redhat-1-patches.zip
Source102: jboss-classfilewriter-1.0.3.Final-redhat-1.jar
Source103: jboss-classfilewriter-1.0.3.Final-redhat-1-sources.jar
Source104: jboss-classfilewriter-1.0.3.Final-redhat-1.pom
Source105: jboss-classfilewriter-1.0.3.Final-redhat-1-javadoc.jar
%endif


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot


%description
A bytecode writer that creates .class files at runtime

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
%{summary}.

%prep
                                                                                                     
%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}
#%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}
   
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
       
# depmaps
%add_to_maven_depmap org.jboss.classfilewriter jboss-classfilewriter %{namedversion} JPP %{name}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files
%defattr(-,root,root,-)
%if %without mead
%doc README
%endif
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
%{_javadir}*/%{name}-sources.jar
#%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
#%{_javadir}*/%{name}-javadoc.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.3-2.Final_redhat_1
- Rebuild for MD5

* Sat Aug 25 2012 Hui Wang <huwang@redhat.com> - 1.0.3-1.Final_redhat_1
- Upgrade to 1.0.3.Final

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.2-3.Final_redhat_2
- Update pom patch for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-2.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.2-2.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Hui Wang <huwang@redhat.com> - 1.0.2-2.Final_redhat_1
- Add README file

* Wed May 02 2012 Hui Wang <huwang@redhat.com> - 1.0.2-1.Final_redhat_1
- Upgrade to 1.0.2.Final

* Mon Mar 26 2012 Hui Wang <huwang@redhat.com> - 1.0.1-1.Final_redhat_1.1
- Upgrade to 1.0.1.Final

* Wed Mar 14 2012 Hui Wang <huwang@redhat.com> - 1.0.0-6.Final_redhat_1.1
- New wrapper
- Remove extra %%{name} from installing path

* Tue Feb 28 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.Final_redhat_1.2
- Populate javadir-signed

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-5.Final_redhat_1
- Rebuild to use new signing key

* Fri Feb 03 2012 Hui Wang <huwang@redhat.com> - 1.0.0-4.Final_redhat_1
- Wrapper RPM build

* Mon Aug 29 2011 Hui Wang <huwang@redhat.com> - 1.0.0-3.GA
- Change version from 1.0.0.Final-redhat-1 to 1.0.0.GA-redhat-1

* Tue Aug 16 2011 Hui Wang <huwang@redhat.com> - 1.0.0-2.Final
- Use vman to patch pom

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
